Installation Apache - Terminal Mac - module php7_module is already loaded, skipp [Résolu/Fermé]

Signaler
-
Messages postés
28614
Date d'inscription
vendredi 5 février 2010
Statut
Modérateur
Dernière intervention
29 juin 2020
-
Bonjour à toutes et à tous!

Quelqu'un aurait-il l'amabilité de me dépanner pour ce problème : (en m'expliquant et me guidant avec le terminal)

Lorsque dans le terminal je fais httpd -t, j'obtiens ceci :

Mon Dec 24 14:13:40.474152 2018] [so:warn] [pid 2471] AH01574: module php7_module is already loaded, skipping
Syntax OK

Je comprends très bien qu'il y a comme un doublon mais je ne sais pas régler le problème.

Par avance, je vous remercie.
Iza



Configuration: Macintosh / Chrome 71.0.3578.98

4 réponses

Messages postés
19296
Date d'inscription
samedi 17 mars 2007
Statut
Contributeur
Dernière intervention
30 juin 2020
4 780
Bonjour,

"module php7_module is already loaded" indique que le module est lancé une deuxième fois.
Si j'en crois internet (https://www.thelinuxfaq.com/102-httpd-warn-module-php5-module-is-already-loaded-skipping, il te faut rechercher la ligne de lancement dans les fichiers suivants pour supprimer une des deux lignes dans un des fichiers: "httpd.conf" et "conf.d/php.conf"
Si je cherche sur mon Mac, le premier fichier est dans /etc/apache (ou /etc/apache2)
Le second, je ne le trouve pas, mais il faut dire que je n'ai pas installé php
Tu pourrais rechercher ce fichier en lançant la commande suivante:
sudo find / -name php.conf -print

La commande recherche le fichier depuis la racine de ton disque.

Après, est-ce le bon forum pour poser ta question ? Est-ce que le forum webmaster ne serait pas plus approrié ?

Ritchi
1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 65687 internautes nous ont dit merci ce mois-ci

Merci pour votre réponse.
J'ai lancé la ligne de commande. J'attends.


Pour le forum, oui je ne dois pas être au "meilleur endroit". J'en suis désolée. Je n'ai pas prêté attention.
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Voici le résultat :
Messages postés
19296
Date d'inscription
samedi 17 mars 2007
Statut
Contributeur
Dernière intervention
30 juin 2020
4 780
bon ben il ne trouve pas le second fichier...
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Je pense installer High Sierra. Est-ce une solution qui pourrait régler ce problème? Repartir avec une base "propre".
Messages postés
28614
Date d'inscription
vendredi 5 février 2010
Statut
Modérateur
Dernière intervention
29 juin 2020
6 563 >
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Là, c'est logique. Si tu retires le chargement du module, pas de module php. Tu n'as plus l'erreur du WARN et plus de php...

Donc, c'est que ta configuration charge 2 fois le paquet.

Tu peux désinstaller et purger totalement apache et php... avant de les réinstaller, pour vérifier. Ça évitera de réinstaller le système entier. Sous Mac, je connais pas l'équivalent d'un apt-get purge :-((
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Eureka ça marche :
php -v

Last login: Tue Dec 25 11:39:20 on ttys000
imac_zouzou:~ Isabelle$ php -v
PHP 7.1.16 (cli) (built: Apr 1 2018 14:10:37) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
imac_zouzou:~ Isabelle$
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Ok tout semble correct pour le moment.
J'avais une erreur aussi sur
DocumentRoot "/Users/Isabelle/Sites"
<Directory "/Users/Isabelle/Sites">
.

Il n'y avait pas de "i" majuscule au prénom.
DocumentRoot "/Users/Isabelle/Sites"
<Directory "/Users/Isabelle/Sites">
C'est certainement de ma faute.

Par contre, je ne vois vraiment pas ou est le "second paquet"
"Module php7 

Oui je vais regarder comment purger apache et php sur Mac. Je partagerai la réponse.
Là, je vais rattraper le travail que j'ai en retard. :)
Merci encore pour votre aide.
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Est-ce normal que phpMyAdmin m'informe d'une version de PHP : 7.3.0beta3 alors que le terminal me donne
PHP 7.1.16 (cli) (built: Apr  1 2018 14:10:37)
, la date n'étant pas de décembre.
Messages postés
28614
Date d'inscription
vendredi 5 février 2010
Statut
Modérateur
Dernière intervention
29 juin 2020
6 563 >
Messages postés
9
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
9 janvier 2019

Donc, preuve que tu as deux versions de php installées.

Apache charge la version la plus récente (7.3), mais la version dispo en cli semble être la 7.1...